//**********************************************************************************************
// 最后更新日期：2013-9-5
//**********************************************************************************************

//自动收缩增值功能区
function autoshow(){
	if(getCookie_current('AddXinYuTaskFunction')=="none"){
		document.getElementById("trfunction").style.display="none";
		document.getElementById("showfont").innerHTML="<strong>点击展开↓</strong>";
	}
}
function chkshow(){
		if(document.getElementById("trfunction").style.display=="none"){
		document.getElementById("trfunction").style.display="block";
		document.getElementById("showfont").innerHTML="<strong>点击收缩↑</strong>";
		SetCookie_current("AddXinYuTaskFunction", "block");
		}else{
			document.getElementById("trfunction").style.display="none";
			document.getElementById("showfont").innerHTML="<strong>点击展开↓</strong>";
			SetCookie_current("AddXinYuTaskFunction", "none");
			}
}
		
//写cookies函数 
function SetCookie_current(name,value)
{ var Days = 30; 
var exp = new Date();
exp.setTime(exp.getTime() + Days*24*60*60*1000); //此 cookie 将被保存 30 天 

document.cookie = name + "="+ escape (value) + ";expires=" + exp.toGMTString(); 
}
//取cookies函数 
function getCookie_current(name) 
{ 
var arr = document.cookie.match(new RegExp("(^| )"+name+"=([^;]*)(;|$)")); 
if(arr != null) return unescape(arr[2]); return null; 
} 

var regPatrn=(document.all)?/\r\n/mg:/\n/mg;
var KS_ProductCount;	//统计商品地址数量
var UserMoney;			//当前用户余额
var UserPoint;			//当前用户发布点
function CheckForm(strMoney,strPoint){
	UserMoney = strMoney;
	UserPoint = strPoint;
if (document.myform.ClassID.value=="0") {alert("请选择任务栏目！");return false;}
if (getRV("KS_ShopName") =="") {alert('请选择掌柜名！');return false;}
if (getValue('KS_ProductUrl')==''){alert('商品网址不能为空!');getObj('KS_ProductUrl').focus();return false;}
var str = getValue('KS_ProductUrl');
	KS_ProductCount = 1;
if (getObj("KS_ShopCartTF") && getObj("KS_ShopCartTF").checked){
	arr_str = str.split(regPatrn);
	KS_ProductCount = arr_str.length;
	if(arr_str.length<3){alert('购物车任务至少要发布3条商品地址!');return false;}
	if(arr_str.length>6){alert('购物车任务一次最多只能发布6条商品地址!');return false;}
}
		   
if (getObj("isLailuSearch") && !getObj("isLailuSearch").disabled && getObj("isLailuSearch").checked){
	switch(getRV('KS_LailuSearchItem')){
		case "1":
			if (getValue('KS_LailuSearchKey')==''){ alert('"搜索店铺关键字"不允许为空，否则接手人无法搜索到您的店铺！\n\n如果不想使用搜索来路功能，请把前面的勾去掉即可。');getObj('KS_LailuSearchKey').focus();return false; }
			if (getValue('Title')==''){ alert('店铺搜索来路，商品标题不能为空，否则接手人无法准确搜索到您的宝贝！');getObj('Title').focus();return false; }
			break;
		case "2":
		case "4":
			if (getValue('KS_LailuSearchKey')==''){ alert('"搜索宝贝关键字"不允许为空，否则接手人无法搜索到您的宝贝！\n\n如果不想使用搜索来路功能，请把前面的勾去掉即可。');getObj('KS_LailuSearchKey').focus();return false; }
			if (getValue('Title')==''){ alert('商品标题不能为空，否则接手人无法准确搜索到您的宝贝！');getObj('Title').focus();return false; }
			break;
		case "3":
			if (getValue('KS_LailuSearchKey')==''){ alert('"买家信用评价地址"不允许为空，否则接手人无法通过买家的信用评价地址访问您的宝贝！\n\n如果不想使用搜索来路功能，请把前面的勾去掉即可。');getObj('KS_LailuSearchKey').focus();return false; }
			if (getValue('Title')==''){ alert('买家信用评价来路，商品标题不能为空，否则接手人无法准确打开您的宝贝链接！');getObj('Title').focus();return false; }
			break;
		case "5":
			if (getValue('KS_LailuSearchKey')==''){ alert('指定网站地址不允许为空，否则接手人无法通过您指定的网站访问您的宝贝！\n\n如果不想使用搜索来路功能，请把前面的勾去掉即可。');getObj('KS_LailuSearchKey').focus();return false; }
			if (getValue('Title')==''){ alert('指定网站地址来路，商品标题不能为空，否则接手人无法准确打开您的宝贝链接！');getObj('Title').focus();return false; }
			break;
	}
}

if (getValue('KS_Price')==''|| IsPlusNumeric(getValue('KS_Price'))==false){alert('任务担保价格必需填写数字!');getObj('KS_Price').focus();return false;}
if (getValue('KS_Price')<1 || getValue('KS_Price')>5000){alert('任务担保价格请输入1-5000元以内!');getObj('KS_Price').focus();return false;}

if (getValue('KS_Point')=='' || IsPlusNumeric(getValue('KS_Point'))==false){alert('发布点必须填写数字!');getObj('KS_Point').focus();return false;}

if (getValue('KS_AddPoint')!=""){
	if(IsPlusNumeric(getValue('KS_AddPoint'))==false){alert('追加发布点必须填写数字!');getObj('KS_AddPoint').focus();return false;}
	if(getValue('KS_AddPoint')<0.3 || getValue('KS_AddPoint')>10){alert('追加发布点请输入0.3-10以内!\n\n不追加请保留空!');	getObj('KS_AddPoint').focus();return false;}
}

if (getRV("KS_XuShiTF")==""){alert("请选择是“虚拟”还是“实物”？");getObj('KS_XuShiTF').focus();return false;}

if (getObj("ClassID")){
	switch($('#ClassID').val()){
		case "20100598989251":
			if (getRV("KS_XuShiTF")=='2'){
				if (getObj("KS_ShopCartTF") && getObj("KS_ShopCartTF").checked){
					alert('提示：\n\n搭配套餐任务，不可以使用购物车，反之购物车任务不可以使用搭配套餐！');
					getObj('KS_ShopCartTF').focus();
					return false;
				}
				if (!/^.{4,5}:\/\/[^%\*\/\?]{2,15}\.((taobao)|(tmall))\.com\/((meal_detail)|(mealDetail))\.htm.*?[\?\&](meal_)?id=\d{8,12}/i.test(str)){
					alert('系统检测到你的商品网址不正确，套餐商品网址格式应为：\n\nhttp://detail.taobao.com/meal_detail.htm?meal_id=xxxxxxxx\n\n请在您的淘宝店铺首页打开商品然后再复制商品网址！');
					getObj('KS_ProductUrl').focus();
					return false;
				}
			}else if(!/^.{4,5}:\/\/[^%\*\/\?]{2,15}\.((taobao)|(tmall))\.com\/((item)|(detail))\.htm.*?[\?\&](item_)?id=\d{10,12}/i.test(str)){
				alert('系统检测到你的商品网址不正确，商品网址格式应为：\n\nhttp://item.taobao.com/item.htm?id=xxxxx\nhttp://item.beta.taobao.com/item.htm?id=xxxxx\nhttp://item.lp.taobao.com/item.htm?item_id=xxxxx\nhttp://detail.tmall.com/item.htm?id=xxxxx\n\n请在您的淘宝店铺首页打开商品然后再复制商品网址！');
				getObj('KS_ProductUrl').focus();
				return false;
			}
			break;
		case "20104912544927":
			if (!/^http:\/\/([^%\*\/\?]+)\.((paipai)|(wanggou))\.com\/.*?\w{32}/i.test(str)) {alert('系统检测到你的商品网址不正确，商品网址格式应为：\n\nhttp://auction1.paipai.com/xxxxx\n\n请在您的拍拍店铺首页打开商品然后再复制商品网址！');
getObj('KS_ProductUrl').focus();return false;}
			break;
		case "20107602754390":  //暂时没用了，可删除
			if (!/^http:\/\/youa\.baidu\.com\/item/i.test(str)) {alert('系统检测到你的商品网址不正确，商品网址格式应为：\n\nhttp://youa.baidu.com/item/xxxxx\n\n请在您的有啊店铺首页打开商品然后再复制商品网址！');
getObj('KS_ProductUrl').focus();return false;}
			break;
	}
}

if(DataLength(getValue('KS_HaoPingContent'))>200){alert("好评内容不能超过200个字符！");getObj('KS_HaoPingContent').focus();return false;}
if (getValue('KS_HaoPingContent').indexOf('带字') >= 0 || getValue('KS_HaoPingContent').indexOf('好评') >= 0 || getValue('KS_HaoPingContent').indexOf('评分') >= 0 || getValue('KS_HaoPingContent').indexOf('评价') >= 0 || getValue('KS_HaoPingContent').indexOf('收藏') >= 0 || getValue('KS_HaoPingContent').indexOf('请') >= 0) {alert('评价内容不允许含有“带字”、“好评”、“评价”、“评分”、“收藏”、“请”等字眼\n\n如果您是新手，为了保障您的利益，最好先请教客服人员或到论坛去学习了解下！');getObj('KS_HaoPingContent').focus(); return false; } 

if(DataLength(getValue('KS_MessageRemind'))>150){alert("留言提醒内容不能超过150个字符！");getObj('KS_MessageRemind').focus();return false;}
if (getValue('KS_MessageRemind').indexOf('收藏') >= 0 || getValue('KS_MessageRemind').indexOf('搜索') >= 0 || getValue('KS_MessageRemind').indexOf('套餐') >= 0 || getValue('KS_MessageRemind').indexOf('旺旺') >= 0 || getValue('KS_MessageRemind').indexOf('旺聊') >= 0 || getValue('KS_MessageRemind').indexOf('假聊') >= 0 || getValue('KS_MessageRemind').indexOf('分享') >= 0) {alert('留言内容不允许含有“收藏”、“搜索”、“套餐”、“旺旺”、“旺聊”、“假聊”、“分享”等字眼\n\n如需要请选择增值功能区选项！');getObj('KS_MessageRemind').focus(); return false; } 

if (getObj("isModAddress").checked){
	if (getValue('KS_ModAddress')==''){alert('指定的收货地址不能为空！如果不想启用\n\n请把前面的勾去掉即可。');getObj('isModAddress').focus();return false;}
	if(DataLength(getValue('KS_ModAddress'))>=255){alert("收货地址不能超过255个字符！");getObj('KS_ModAddress').focus();return false;}
}

if (getObj("isLimitCity").checked){
	if (getValue('Province')==''){alert('请选择仅允许那个省份接手，如果不想限制\n\n请把前面的勾去掉即可。');getObj('Province').focus();return false;}
}

if (getObj("isPlanAddDate").checked){
	if (getValue('KS_PlanAddDate')=='' || is_date(getValue('KS_PlanAddDate'))==false){alert('计划发布时间没填写，如果不想计划发布\n\n请把前面的勾去掉即可。');getObj('KS_PlanAddDate').focus();return false;}
}

if (getObj("isContinueAdd").checked) { 
	if(getValue('ContinueAddNum')=='' || IsInteger(getValue('ContinueAddNum'))==false || IsIntegerInRange(getValue('ContinueAddNum'),2,10)==false){ alert('计划连续发布任务的“连续发布几条任务”请输入2到10的整数！\n\n如果不想连续发布，请把前面的勾去掉即可！');getObj('ContinueAddNum').focus();return false; }
	if(getValue('ContinueAddTime')=='' || IsInteger(getValue('ContinueAddTime'))==false || IsIntegerInRange(getValue('ContinueAddTime'),1,60)==false){ alert('计划连续发布任务的“间隔几分钟自动发布下一条”请输入1到60的整数！\n\n如果不想连续发布，请把前面的勾去掉即可！');getObj('ContinueAddTime').focus();return false; }
}
if (getObj("istpl").checked) { 
	if(getValue('tplName')==''){ alert('任务模板名不能为空！\n\n如果不想保存模板，请把前面的勾去掉即可！');getObj('tplName').focus();return false; }
}
if(getObj("SecurityCode") && getValue('SecurityCode')==''){alert('请输入安全密码！');getObj('SecurityCode').focus();return false; }

ChangePoint(getObj("KS_Price"));
getObj('submit_bt').src="/style/images/ConfirmButton_3.gif";
getObj('submit_bt').disabled = true;
if (CountPoint()==true){return chk_shopname();}
getObj('submit_bt').src="/style/images/ConfirmButton_2.gif";
getObj('submit_bt').disabled = false;
return false;
}

function getFloat(id) {
	var d = parseFloat(getValue(id));
	if (isNaN(d))
		return 0;
	else
		return d;
}
function getCalc(point,str){
	if(str.indexOf('+')>0)
		return point * parseFloat(str.split('+')[0]) + parseFloat(str.split('+')[1]);
	else
		return point * parseFloat(str);
	}
function CountPoint() {
	var strPoint = getFloat('KS_Point');
	var strPrice = getFloat('KS_Price');
    var HaoPing = $('#KS_HaoPingLimit').val();
	for(var i=2;i<=9;i++){
    	if (HaoPing==i) strPoint = getCalc(strPoint,Fabu_HaoPingPoint[i-2]);
	}
    	strPoint += getFloat('KS_AddPoint');
    if (getObj('isCollect').checked) strPoint += Fabu_IsCollectPoint;
    if (getObj('isModAddress').checked) strPoint += Fabu_IsModAddressPoint;
	if (getObj('isRealNameShop') && !getObj('isRealNameShop').disabled && getObj('isRealNameShop').checked){
		if (getRV("KS_RealNameType")=='1')	strPoint += Fabu_RealNameType1Point;
		if (getRV("KS_RealNameType")=='2')	strPoint += Fabu_RealNameType2Point;
	}
	if (getObj('isShangBao').checked) strPoint += Fabu_ShangBaoPoint;
	if (getRV("KS_XuShiTF")=='2') strPoint += Fabu_DapeiMealPoint;
    if (getObj('isLailuSearch') && !getObj("isLailuSearch").disabled && getObj("isLailuSearch").checked) strPoint += Fabu_LailuSearchPoint;
    if (getObj('isLimitCity').checked) strPoint += Fabu_LimitCityPoint;	
    if (getObj('KS_LimitBuy').checked) strPoint += Fabu_LimitBuyPoint;
    if (getObj('KS_ChatTF') && !getObj('KS_ChatTF').disabled && getObj('KS_ChatTF').checked) strPoint += Fabu_WangWangChatPoint;
    if (getObj('KS_Verific').checked) strPoint += Fabu_VerificUserPoint;	
    if (getObj('isBaseFilter1').checked) strPoint += Fabu_BaseFilterPoint;
    if (getObj('isBaseFilter2').checked) strPoint += Fabu_BaseFilterPoint;
    if (getObj('isBaseFilter3').checked) strPoint += Fabu_BaseFilterPoint;
    if (getValue('KS_LimitUserName')!="") strPoint += Fabu_LimitUserNamePoint;
    if (getObj('isPlanAddDate').checked) strPoint += Fabu_PlanAddDatePoint;
    var msg = '请您确认任务信息：\n\n';
    if (getObj('isContinueAdd').checked) {
    	strPoint = strPoint * getFloat('ContinueAddNum');
    	strPrice = strPrice * getFloat('ContinueAddNum');
    	msg += '连续发布任务数量：' + getFloat('ContinueAddNum') + '\n';
    }
    if (getObj('isContinueAdd').checked) strPoint += Fabu_ContinueAddPoint;
    msg += '好评时限：';
    if (HaoPing == 1) msg += '马上好评';
    if (HaoPing == 2) msg += '30分钟后好评';
    if (HaoPing == 3) msg += '1天后好评';
    if (HaoPing == 4) msg += '2天后好评';
    if (HaoPing == 5) msg += '3天后好评';
    if (HaoPing == 6) msg += '4天后好评';
	if (HaoPing == 7) msg += '5天后好评';
	if (HaoPing == 8) msg += '6天后好评';
	if (HaoPing == 9) msg += '7天后好评';
	setValue('Total_Point',strPoint.toFixed(2));
	setValue('Total_Price',strPrice);
	setValue('KS_ProductCount',KS_ProductCount);
	if (getRV('payType')=='1'){
		if (strPrice > parseFloat(UserMoney)) {	
			alert('抱歉！您账号的余额不足，请充值后再来发布！\n\n当前您账号余额：' + parseFloat(UserMoney) + '元\n\n任务担保总价格：' + strPrice + '元');
			getObj('KS_Price').focus();
			return false;
		}
	}
	if (strPoint.toFixed(2) > parseFloat(UserPoint)) {	
		alert('抱歉！您账号的发布点不够，请购买发布点后再来发布！\n\n当前您账号发布点：' +  parseFloat(UserPoint) + '点\n\n任务总消耗发布点：' + strPoint.toFixed(2) + '点');
		getObj('KS_Price').focus();
		return false;
	}
    return confirm(msg + '\n商品总价格：' + strPrice.toFixed(2) + '元\n共耗发布点：' + strPoint.toFixed(2) + '点');
}
function ChangePoint(obj) {
	if (parseInt(getRV('payType')) > 1 && Fabu_HongbaoDaifuSetPoint > 0){
		setValue('KS_Point', Fabu_HongbaoDaifuSetPoint);
		return;
	}
	var v = obj.value;
	var points = new Array();
	if (v != ""){
		if (getObj("KS_ShopCartTF") && getObj("KS_ShopCartTF").checked){
			var str = getValue('KS_ProductUrl');
			arr_str = str.split(regPatrn);
			if(arr_str.length<3 || arr_str.length>6){return false;}
			points = Fabu_PriceAndPointCalc[arr_str.length-2][1];
		}
		else{
			points = Fabu_PriceAndPointCalc[0][1];
		}
		for(var i=0;i<points.length-2;i++){
			if (v <= points[i][0]){
				setValue('KS_Point', points[i][1]);
				break;
			}					
			if (v > points[i][0] && v <= points[i+1][0]){
				setValue('KS_Point', points[i+1][1]);
				break;
			}
		}
		if (v > points[points.length-2][0])
			setValue('KS_Point', points[points.length-1][1]);
	}
}

function getTemplate(obj) {
    if (obj.value == '0') return ;
    var url = '?Action=Add&tplID=' + obj.value;
    window.location.href = url;
}

function checkType(n){
	switch(n){
	case 0:
		if(getRV("KS_XuShiTF")=='0')
			getObj('KS_HaoPingLimit').selectedIndex=0;
		break;
	case 1:
		if(getRV("KS_XuShiTF")=='1'||getRV("KS_XuShiTF")=='2')
			getObj('KS_HaoPingLimit').selectedIndex=2;
		break;
	case 2:
		if(getRV("KS_XuShiTF")=='1'){
			var id=$('#KS_HaoPingLimit').val();
			if(id=='1' || id=='2'){
				alert('建议需要发快递的实物任务好评时间最好选择大于1天以上好评！');
				$('#KS_HaoPingLimit').focus();
				}
		}
	}
}

function chkPlanAdd(){
	if(getObj("isPlanAddDate").checked){getObj("isContinueAdd").checked=false;getObj("isContinueAdd").disabled="disabled";}
	else{getObj("isContinueAdd").disabled="";}
	}
function chkContinueAdd(){
	if(getObj("isContinueAdd").checked){getObj("isPlanAddDate").checked=false;getObj("isPlanAddDate").disabled="disabled";}
	else{getObj("isPlanAddDate").disabled="";}
	}
function chkShopCart(){
	if(getObj("KS_ShopCartTF") && getObj("KS_ShopCartTF").checked){
		getObj("UrlChange").innerHTML='<textarea style="width:500px;height:140px" rows="5" class="textbox" name="KS_ProductUrl" id="KS_ProductUrl" onblur=\'ChangePoint(getObj("KS_Price"));GetTitle()\'></textarea>&nbsp;<span style="color:blue;display:inline-block;height:50px;line-height:24px">购物车任务每行一个地址，回车换行<br />至少3条地址起，最多发布6条</span>';}
	else{getObj("UrlChange").innerHTML='<input name="KS_ProductUrl" type="text" maxlength="200" class="textbox" id="KS_ProductUrl" style="width:500px;height:20px" value="" onblur=\'ChangePoint(getObj("KS_Price"));GetTitle()\' />&nbsp;<span style="color:blue;margin-top:5px">安全起见请尽量发布不同商品地址</span>';}
	}

function regInput(obj, reg, inputStr)
	{
		var docSel = document.selection.createRange()
		if (docSel.parentElement().tagName != "INPUT")    return false
		oSel = docSel.duplicate()
		oSel.text = ""
		var srcRange = obj.createTextRange()
		oSel.setEndPoint("StartToStart", srcRange)
		var str = oSel.text + inputStr + srcRange.text.substr(oSel.text.length)
		return reg.test(str)
	}

var chk_username_Tips;
function chk_username(){
	var obj=document.getElementById("UserNameMsg");
	var str=document.getElementById("KS_LimitUserName").value;
	if (chk_username_Tips==null) chk_username_Tips = obj.innerHTML;
	if (str==''){obj.innerHTML=chk_username_Tips; return;}
	$.ajax({type:"get",url:"/style/Ajax/ajax_def.asp?action=checkusername&username="+escape(str)+"&anticache=" + Math.floor(Math.random()*1000),cache:false,dataType:"html",success:function(d){
	     var s=unescape(d);
		 ajaxchk=s.split('|')[0];
		 ajaxstr=s.split('|')[1];
		 if (ajaxstr!=null){
			if (ajaxchk=='ok'){obj.innerHTML='<img src="/User/Images/accept.png" border="0" align="absmiddle" /> ' + ajaxstr;}
			else{obj.innerHTML='<img src="/User/Images/error.gif" border="0" align="absmiddle" /> ' + ajaxstr;}
		}
	} });
}

function ChangeMultiple(){
	if(!getObj('Province').multiple){
		getObj('Province').multiple="multiple";
		getObj('Province').size="6";
		getObj('Province').title="按住Ctrl或Shifl键加单击选项，可多选！";
		$('#City').hide();
	}else{
		getObj('Province').multiple=false;
		getObj('Province').size="0";
		getObj('Province').title="";
		$('#City').show();
	}
}

function ChangeLailuSearchItem(){
	if(getObj('KS_LailuSearchItem')){
		switch(getRV('KS_LailuSearchItem')){
			case "1":
				$('#LailuKey').html('搜索店铺关键字：');
				$('#LailuKeyTips').html('输入您的店铺名称或者你的掌柜名称，确保接手人在淘宝可以搜索到你的店铺');
				$('#LailuTips').html('搜索提示：');
				$('#LailuTips2').html('填写给接手人的提示，说明店铺在关键字搜索结果列表中的位置，商品在店铺首页中大概位置等信息，例如：店铺在搜索结果列表第二个，商品在我店铺首页第二排第一个。');
				$('#LailuJieTu').html('店铺链接位置截图：');
				break;
			case "2":
			case "4":
				$('#LailuKey').html('搜索宝贝关键字：');
				$('#LailuKeyTips').html('推荐使用您的宝贝名称，如果您的宝贝名称在淘宝中重名商品过多，我们建议您在宝贝名称后面增加个唯一性字符或编号等信息。');
				$('#LailuTips').html('搜索提示：');
				if(getRV('KS_LailuSearchItem')=='2'){
					$('#LailuTips2').html('填写给接手人的提示，说明任务商品在关键字搜索结果列表中的位置，例如：商品在第一页第2个。');
					$('#LailuJieTu').html('宝贝链接位置截图：');
				}
				else if(getRV('KS_LailuSearchItem')=='4'){
					$('#LailuTips2').html('填写给接手人的提示，说明直通车推广商品在搜索结果页面右侧的那个位置，例如：右侧第3个。');
					$('#LailuJieTu').html('直通车宝贝截图：')
				};
				break;
			case "3":
				$('#LailuKey').html('买家信用评价地址：');
				$('#LailuKeyTips').html('输入已经购买过您的该任务宝贝的买家信用评价页面地址，可以在您的宝贝销售记录中点击买家用户名右侧的信用等级图标（如红心，黄钻等）进入获得地址。');
				$('#LailuTips').html('来路提示：');
				$('#LailuTips2').html('填写给接手人的提示，说明此宝贝连接在信用评价页面列表中的页数和位置等信息，例如：商品在第二页倒数第一个。');
				$('#LailuJieTu').html('评价链接位置截图：');
				break;
			case "5":
				$('#LailuKey').html('网站地址：');
				$('#LailuKeyTips').html('输入指定来路网站地址，例如：http://www.aaaxxx.com/');
				$('#LailuTips').html('链接位置提示：');
				$('#LailuTips2').html('填写给接手人的提示，说明此宝贝连接在网站页面中的具体位置等，例如：网站右侧浮动广告第一个。');
				$('#LailuJieTu').html('宝贝链接位置截图：');
				break;
		}
	}
}

function chk_shopname(){
	var ShopName=getRV("KS_ShopName");
	var ClassID=getValue('ClassID');
	var Url=getValue('KS_ProductUrl');
	var ajaxchk;
	var ajaxstr;
	$.ajax({type:"post",url:"/style/Ajax/ajax_def.asp",data:"action=checkshopname&shopname="+escape(ShopName)+"&classid="+ClassID+"&url="+Url.replace(/&/g,"%26").replace(regPatrn,"||")+"&anticache=" + Math.floor(Math.random()*1000),cache:false,dataType:"html",async:false,success:function(d){
	     var s=unescape(d);
		 if (s!=null){
			 ajaxchk=s.split('|')[0];
			 ajaxstr=s.split('|')[1];
		 }
	} });
	if (ajaxchk=='ok'){
		return true;
	}else{
		if (ajaxstr==null){
			alert("抱歉！系统检验超时，请重新提交！");
		}else{
			alert(ajaxstr);
			}
		getObj('submit_bt').disabled = false;
		getObj('submit_bt').src="/style/images/ConfirmButton_2.gif";
		return false;
	}
}

function GetTitle(){
	var CheckUrl = false;
	var ClassID=getValue('ClassID');
	var Url=getValue('KS_ProductUrl');
	if (Url=='') return;
	if (getValue('Title').length>3) return;
	switch(ClassID){
		case "20100598989251":
			if (/^.{4,5}:\/\/([^%\*\/\?]+)\.((taobao)|(tmall))\.com\//i.test(Url)){ CheckUrl = true; }
			break;
		case "20104912544927":
			if (/^http:\/\/([^%\*\/\?]+)\.((paipai)|(wanggou))\.com\/.*?\w{32}/i.test(Url)){ CheckUrl = true; }
			break;
	}
	if (CheckUrl){
		var ajaxchk;
		var ajaxstr;
		$.ajax({type:"post",url:"/style/Ajax/ajax_def.asp",data:"action=gettitle&classid="+ClassID+"&url="+Url.replace(/&/g,"%26").replace(regPatrn,"||")+"&anticache=" + Math.floor(Math.random()*1000),cache:false,dataType:"html",success:function(d){
			var s=unescape(d);
			if (s!=null){
			 ajaxchk=s.split('|^_^|')[0];
			 ajaxstr=s.split('|^_^|')[1];
			 if (ajaxchk=='ok')	setValue('Title',ajaxstr);
			} }
		});	
	}
}

function ChangeRadio(obj,n){
	var o = document.getElementById(obj);
	var a = o.getElementsByTagName('A');
	var i = o.getElementsByTagName('INPUT');
	for(var k=0; k<a.length; k++){
		a[k].className='';
		i[k].checked=false;
	}
	a[n-1].className='radioCurr';
	i[n-1].checked='checked';
	if (Fabu_HongbaoDaifu_LimitShangBaoJieShou){
		if (n > 1){
			$('#isShangBao').attr('checked','checked').attr('disabled','disabled').attr('title','红包支付或代付，平台强制启用只允许加入商保会员接手');
		}
		else{
			$('#isShangBao').attr('checked',false).attr('disabled',false).attr('title','勾上才启用');
		}
	}
	ChangePoint(getObj("KS_Price"));
}